//+------------------------------------------------------------------+
//|                                                  SAR_Comment.mq4 |
//|                               Copyright  2009, Sergey Marchenko |
//|                 http://www.georadar.org.ua   geolimber@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Sergey Marchenko"
#property link      "http://www.georadar.org.ua   geolimber@gmail.com"

#property indicator_chart_window
extern string symb="EURUSD";
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
Comment(symb," ",Sard(symb));   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//+-------   Parabolic SAR  D1-------+
int Sard (string sym)
{
double SARCurrent;
int SAR_Dir=0;
SARCurrent=iSAR(sym,PERIOD_D1,0.02,0.2,0);
if (Bid>SARCurrent)
    {SAR_Dir=1;}                                                     //    1
    else
    {SAR_Dir=-1;}                                                    //    -1
return(SAR_Dir);   
}